rem ------------------------------------------------------------
rem Installationsroutine
rem ------------------------------------------------------------

rem --- Option: Download in ein temporäres Verzeichnis
rem --- Kann für z.B. für GLPI abgeschaltet werden
set SAVEPATH=%SYSTEMDRIVE%\TEMP\install
MKDIR %SAVEPATH% & CD /D %SAVEPATH%

rem --- Download Basis-URL, Dateiname und TEMP-Verzeichnis
set VERSION=24.8.3
set ARCH=x86
set BASEURL=https://download.documentfoundation.org/libreoffice/stable/%VERSION%/win/%ARCH%
set PROG=LibreOffice_%VERSION%_Win_%ARCH%.msi
set HLPR=LibreOffice_%VERSION%_Win_%ARCH%_helppack_de.msi
rem --- Lade Installationsdatei herunter
curl -kL %BASEURL%/%PROG% -o %SAVEPATH%\%PROG%
rem --- Lade Hilfepack herunter
curl -kL %BASEURL%/%HLPR% -o %SAVEPATH%\%HLPR%


rem --- Silent-Installation des Programms:
msiexec /i %PROG% /qn /norestart PRODUCTLANGUAGE=1031 LANGUAGE=1031 RebootYesNo=No QUICKSTART=0 UI_LANGS=de ADDLOCAL=ALL /l %SAVEPATH%\%PROG%.log
